/*
 Theme Name:     H+B Group
 Theme URI:      https://hb-group.pl
 Description:    H+B Group Theme
 Author:         Tomek
 Author URI:     https://hb-group.pl
 Template:       Divi
 Version:        1.0.0.3
*/

@font-face {
    font-family: 'TT Norms';
    src: url('./fonts/ttnorms-medium-webfont.woff2') format('woff2'),
    url('./fonts/ttnorms-medium-webfont.woff') format('woff');
    font-weight: 500;
    font-style: normal;

}
@font-face {
    font-family: 'TT Norms';
    src: url('./fonts/ttnorms-regular-webfont.woff2') format('woff2'),
    url('./fonts/ttnorms-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

body {
    font-weight: 400;
    font-family: 'TT Norms', Helvetica, Arial, sans-serif;
}

/* links */
body #page-container .et_pb_section a.hb-link {
    display: inline-flex !important;
    align-items: center;
    transition: all 120ms ease;
}
body #page-container .et_pb_section a.hb-link {
    background: url('images/arrow-circle-inactive.png') no-repeat 100% 52% !important;
}
body #page-container .et_pb_section a.hb-link:hover {
    color: #004024 !important;
    background: url('images/arrow-circle-active.png') no-repeat 100% 52% !important;
}

body #page-container .et_pb_section a.hb-link-line {
    position: relative;
}
body #page-container .et_pb_section a.hb-link-line:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 50%;
    height: 1px;
    background: #8fd7b2;
    display: block !important;
    margin: 0;
    opacity: 1;
}
body #page-container .et_pb_section a.hb-link-line:hover {
    color: #004024 !important;
}
body #page-container .et_pb_section a.hb-link-line:hover:after {
    background: #004024;
    width: 100%;
}


/* header */
#hb-header .hb-header-menu-left .et-menu {
    width: 240px;
    display: flex;
    justify-content: space-between;
}

#hb-header .hb-header-menu-right .et-menu {
    width: 194px;
    margin-left: 94px;
    display: flex;
    justify-content: space-between;
}
#hb-header .et_pb_menu--without-logo .et_pb_menu__menu > nav > ul > li > a {
    padding: 0;
}
#hb-header .et_pb_menu--without-logo .et_pb_menu__menu > nav > ul > li {
    margin: 0;
    padding: 0;
}

@media screen and (min-width: 768px) {
    #hb-header {
        height: 156px;
        transition: all 800ms ease;
    }
    #hb-header.et_pb_sticky--top {
        height: 64px;
    }
}


#hb-lang-switcher {
    position: absolute;
    top: 12px;
    right: 0;
}
#hb-lang-switcher .et_pb_menu__menu > nav > ul > li > a {
    padding: 6px 8px 7px !important;
    border: 1px solid #003f25;
    border-radius: 8px;
    display: flex;
    line-height: 1;
    align-items: center;
    color: #003f25;
}
#hb-lang-switcher .et_pb_menu__menu > nav > ul > li > a:hover {
    text-decoration: underline;
}
#hb-lang-switcher .et_pb_menu__menu > nav > ul > li > a:after {
    display: block !important;
    content: '';
    border-color: #003f25 rgba(255,255,255,0) rgba(255,255,255,0) rgba(255,255,255,0);
    border-style: solid;
    border-width: 5px;
    width: 0;
    height: 0;
    margin-bottom: -5px;
    margin-left: 4px;
}
.et_pb_sticky--top #hb-lang-switcher {
    top: 4px;
}

/* mobile-menu */
.hb-mobile-menu-toggle {
    background: url('images/hamburger.png') no-repeat 50% 50%;
    text-indent: -1000em;
    position: absolute;
    right: -10px;
    top: 0;
    z-index: 100;
    border: none !important;
}
.hb-mobile-menu-active .hb-mobile-menu-toggle {
    background-image: url('images/close.png');
}
#hb-offcanvas-menu {
    transform: translate3d(100vw,0,0);
    transition: all 200ms ease-out;
    padding: 26px 24px;
}
.hb-mobile-menu-active #hb-offcanvas-menu {
    transform: translate3d(0,0,0);
}
#hb-offcanvas-menu .menu li {
    margin-bottom: 12px;
}
#hb-offcanvas-menu .menu li.lang-item {
    margin-bottom: 0;
    margin-top: 30px;
}
#hb-offcanvas-menu .menu li a {
    font-size: 24px;
    color: #004024;
}
#hb-offcanvas-menu .menu li.lang-item a {
    font-size: 16px;
}

/* sticky header */
@media screen and (min-width: 768px) {
    .hb-header-logo-sticky {
        opacity: 0;
        transform: translate3d(0, 40px, 0);
        transition: all 0ms ease;
    }
    .et_pb_sticky--top .hb-header-logo-sticky {
        opacity: 1;
        transform: translate3d(0, 0, 0);
        transition-duration: 800ms;
    }
}

@media screen and (max-width: 767px) {
    .hb-header-logo-sticky {
        opacity: 0;
        transform: translate3d(0, 10px, 0);
        transition: all 0ms ease;
    }
    .et_pb_sticky--top .hb-header-logo-sticky {
        opacity: 1;
        transform: translate3d(0, 0, 0);
        transition-duration: 600ms;
    }
}


.et_pb_sticky--top .hb-header-logo {
    display: none;
}

/* light header */
#hb-header.hb-header-light:not(.et_pb_sticky--top) #hb-lang-switcher .et_pb_menu__menu > nav > ul > li > a {
    border-color: #fff;
}
#hb-header.hb-header-light:not(.et_pb_sticky--top) #hb-lang-switcher .et_pb_menu__menu > nav > ul > li > a:after {
    border-color: #fff rgba(255,255,255,0) rgba(255,255,255,0) rgba(255,255,255,0);
}
#hb-header-mobile.hb-header-light:not(.et_pb_sticky--top) .hb-mobile-menu-toggle {
    background-image: url('images/hamburger-light.png');
}
.hb-mobile-menu-active #hb-header-mobile.hb-header-light:not(.et_pb_sticky--top) .hb-mobile-menu-toggle {
    background-image: url('images/close.png');
}

/* banner */
.hb-banner-number .et_pb_text_inner {
    display: flex;
    align-content: center;
    align-items: center;
    font-weight: 500;
    justify-content: center;
    line-height: 46px;
}
.hb-banner-number .et_pb_text_inner small {
    font-size: 56%;
    font-weight: 400;
    line-height: 46px;
    margin-left: 10px;
}
.hb-banner-counter.et_pb_with_title {
    display: flex;
    align-items: center;
    justify-content: center;
}
.hb-banner-counter.et_pb_with_title .percent {
    margin: 0;
    height: auto;
}
.hb-banner-counter.et_pb_with_title .title {
    margin: 0 0 0 12px;
    padding: 0;
    font-weight: 400;
}

/* tabs */
.hb-tabs > ul {
    background: transparent;
    border: none;
    display: flex;
}
.hb-tabs > ul:after {
    content: none;
}
.hb-tabs > ul > li {
    border: none;
    margin-right: 66px;
}
.hb-tabs > ul > li > a {
    width: 120px;
    border-top: 1px;
    border-color: #e2e2e2;
    border-style: solid;
    padding: 14px 0 0;
    font-weight: 500;
    display: flex;
    align-items: center;
}
.hb-tabs > ul > li > a:after {
    content: '';
    width: 14px;
    height: 9px;
    background: url('images/arrow-up-inactive.png');
    margin-left: 8px;
    margin-top: 4px;
}
.hb-tabs > ul > li.et_pb_tab_active > a {
    border-color: #91d8b6;
}
.hb-tabs > ul > li.et_pb_tab_active > a:after {
    background: url('images/arrow-down-active.png');
}
.hb-tabs > ul > li:not(.et_pb_tab_active) > a:hover {
    border-color: #7f9f92;
    color: #004022 !important;
}
.hb-tabs > ul > li:not(.et_pb_tab_active) > a:hover:after {
    background: url('images/arrow-up-hover.png');
}
.hb-tabs .et_pb_tab {
    padding: 38px 0;
}
.hb-tabs .et_pb_tab ul {
    padding-bottom: 0;
    line-height: 1.5em;
}

/* accordeon */
.hb-accordeon .et_pb_toggle_close {
    background: #fff;
}
.hb-accordeon .et_pb_toggle {
    padding: 0;
}
.hb-accordeon .et_pb_toggle_content {
    padding: 20px 8px;
}
.hb-accordeon h5.et_pb_toggle_title {
    font-weight: 400;
    padding: 18px 0;
    font-size: 14px;
    position: relative;
    display: flex;
    align-items: center;
}
.hb-accordeon h5.et_pb_toggle_title .toggle-arrow {
    width: 14px;
    height: 9px;
    background: url('images/arrow-up-inactive.png');
    margin-left: 8px;
}
.hb-accordeon h5.et_pb_toggle_title:before {
    content: '';
}
.hb-accordeon h5.et_pb_toggle_title:after {
    position: absolute;
    top: 0;
    left: 0;
    width: 40%;
    content: '';
    height: 1px;
    background: #e2e2e2;
    display: block !important;
    margin: 0;
}
.hb-accordeon .et_pb_toggle_open h5.et_pb_toggle_title:after {
    background: #23B46F;
}
.et_pb_accordion_0.hb-accordeon .et_pb_toggle_close h5.et_pb_toggle_title:hover,
.hb-accordeon .et_pb_toggle_close h5.et_pb_toggle_title:hover {
    color: #004022 !important;
}
.et_pb_accordion_0.hb-accordeon .et_pb_toggle_close h5.et_pb_toggle_title:hover .toggle-arrow,
.hb-accordeon .et_pb_toggle_close h5.et_pb_toggle_title:hover .toggle-arrow {
    background: url('images/arrow-up-hover.png') !important;
}
.hb-accordeon .et_pb_toggle_close h5.et_pb_toggle_title:hover:after {
    background: #004022 !important;
}
.hb-accordeon .et_pb_toggle_open h5.et_pb_toggle_title .toggle-arrow {
    background: url('images/arrow-down-active.png') !important;
}


/* contact form */
#hb-contact-form .wpcf7-form-control:not(.wpcf7-submit) {
    border-width: 0 0 1px;
    border-style: solid;
    border-color: #bbedf6;
    color: #bbedf6;
    background: none;
    width: 100%;
    padding: 8px 0;
    font-size: 16px;
}
#hb-contact-form .wpcf7-form-control::placeholder {
    color: #bbedf6;
    opacity: 1;
}
#hb-contact-form .wpcf7-form-control:-ms-input-placeholder {
    color: #bbedf6;
}
#hb-contact-form .wpcf7-form-control::-ms-input-placeholder {
    color: #bbedf6;
}
#hb-contact-form .wpcf7-submit {
    font-size: 16px;
    color: #bbedf6;
    background: transparent;
    padding: 4px 12px;
    border: 1px solid #bbedf6;
    cursor: pointer;
    margin-top: 30px;
    text-transform: uppercase;
}
#hb-contact-form label {
    margin-bottom: 20px;
    display: block;
}
#hb-contact-form div label {
    position: relative;
}
.wpcf7-not-valid-tip {
    display: block;
    padding: 8px 0 0;
    color: #ff8787;
}
.wpcf7 form .wpcf7-response-output {
    border: none;
    margin: 20px 0 0;
    padding: 0;
}
.wpcf7 form.invalid .wpcf7-response-output {
    color: #ffe066;
}
.wpcf7 form.sent .wpcf7-response-output {
    color: #bbedf6;
}